Announcement

Collapse
No announcement yet.

FMOD Studio Plug-in

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    FMOD Studio Plug-in

    Click image for larger version

Name:	ue4-web-banner.jpg
Views:	1
Size:	129.3 KB
ID:	1139431

    We're pleased to announce the first public release of our FMOD Studio integration with Unreal 4. FMOD Studio is a sophisticated game audio toolkit with a focus on improving workflow. Our plug-in provides FMOD Studio as a side-by-side audio solution for Unreal, and is available for download here:
    http://www.fmod.com/download

    We had an extended pre-release wait because we wanted to get a series of authoring tutorials finished, now available here:
    https://www.youtube.com/watch?v=K64s...otQ1lHFahcyoHJ

    This release of the plug-in is built against Unreal version 4.4, but it should also compile for the upcoming 4.5 version.

    Please check it out and let us know what you think. If you run into problems feel free to post on http://www.fmod.com/questions or send us a support email at support@fmod.com.

    #2
    Thank you, Fmod! I'm moving this to Community Content, Tools and Tutorials section so that more people can see it.
    FREE VR Drum Kit Project
    FREE Color LUT Collection
    FREE Physics Driven Spacecraft Project
    FREE GTA Style Vehicle Interaction
    Dynamic DoF(Depth of Field)
    Camera Crossfade

    Comment


      #3
      Sweet! Was talking about this with an audio designer just the other week, wondering if support was already available
      Game Developer @ LODZERO - My Twitter | tomlooman.com UE4 samples & tutorials | C++ Survival Game (Open-Source)

      Comment


        #4
        Awesome, I was hoping the wait wouldn't be long, and was well worth it to have some tutorial content! Thanks guys!
        Free Community Ocean & Sky Project || Join us on Discord! || Trello Roadmap

        Comment


          #5
          Awesome, I had been wondering about this one.

          Comment


            #6
            And ofc I can't get it to work... Can't see that the plugin is installed. Maybe not working with 4.5?

            Comment


              #7
              Its working with the github version of 4.5 if you change one line in the plugin, but I couldnt get it to behave with the launcher version.

              Comment


                #8
                Hi,
                Sorry we should have clarified, although the source of the plugin is compatible with 4.4 and 4.5, the built binaries only works against 4.4. Sorry for the inconvenience in the meantime. We've delayed releasing 4.5 slightly for two reasons:

                1.) We wanted to see if there were any critical bugs that needed fixing before pushing out a second release. So far so good on that front!
                2.) We are getting an in-house build process up and running to automatically produce nightly builds, rather than just logging on to a windows/mac computer and building the plugin manually.

                This step 2 has taken a bit longer than we expected, but we're going to do a release next week with 4.5.

                Also talking about github, is there any interest in putting the plugin source up on a github repo? That is something we're considering if there is interest for it.

                Comment


                  #9
                  Well for me it would be great if you include the glue codes history and put it up to github. I dont know what the licensing terms of the plugin's source and the fmod link libraries are, but if its available for all engine versions in an github repo its easy to just clone it in.

                  Comment


                    #10
                    Originally posted by Mikand79 View Post
                    Well for me it would be great if you include the glue codes history and put it up to github. I dont know what the licensing terms of the plugin's source and the fmod link libraries are, but if its available for all engine versions in an github repo its easy to just clone it in.
                    Thanks for your reply. We have to work out licensing but it shouldn't be an issue. One complication is that fmod.dll and fmodstudio.dll are needed for the plug-in to work, and the FMOD source code of course won't be included in the repo. That means the process would still need to include a download from the FMOD website to get those binaries.

                    Comment


                      #11
                      A new version of the plugin has been released that is compiled against Unreal 4.5. Sorry for the longer than expected delay in getting it out there!

                      Comment


                        #12
                        Thanks Fmod people! I was working on this over the weekend and i noticed a couple of things.

                        - Everything works perfectly in PIE mode but i hear no sound in Standalone, which means it probably wont work in packaged game either though i havent tested that yet.

                        - In the tutorial Sally sets Last Speed variable right after setting Load Parameter, but output of that that returns 0.0 every tick(at least thats what happens when i print the value to the screen every tick.) So i did this:

                        Click image for larger version

Name:	Fmodissue.JPG
Views:	1
Size:	63.0 KB
ID:	1060521

                        and now it outputs some actual rpm difference.

                        Thanks again for this crazy awesome tool!
                        FREE VR Drum Kit Project
                        FREE Color LUT Collection
                        FREE Physics Driven Spacecraft Project
                        FREE GTA Style Vehicle Interaction
                        Dynamic DoF(Depth of Field)
                        Camera Crossfade

                        Comment


                          #13
                          I have a problem which renders fmod unusable.

                          LogLinker:Warning: Can't find file '/Script/FMODStudio'
                          LogLinker:Warning: Can't find file for asset '/Script/FMODStudio' while loading D:/Project/Content/Blueprints/BP_ActorWithFmod.uasset.
                          LoadErrors:Error: Error /Game/Blueprints/BP_ActorWithFmod: Can't find file for asset. /Script/FMODStudio
                          It looks like the FMODStudioModule starts after loading the blueprints

                          Comment


                            #14
                            Originally posted by MatzeOGH View Post
                            It looks like the FMODStudioModule starts after loading the blueprints
                            Hi,
                            Sorry we didn't see this earlier. If you are still getting this problem, could you follow up on www.fmod.com/questions or directly on support@fmod.com with some more information about what you are doing to get this error?

                            Thanks.

                            Comment


                              #15
                              HI

                              The FMODStudio script not being found problem is caused by the fact that the latest plugin is built against 4.5, but the example project setup will launch version 4.4. It will try and use 4.4 if you use the launcher or by double clicking on the UE project file. I had the exact same error message.

                              Obviously if you've installed the latest plugin to the 4.5 folder it won't find it + the plugin won't work in the 4.4 folder.

                              You can fix this by installing FMOD 4.5 plugin to UE 4.5 folder, using the UE launcher to open UE 4.5 editor (without a project) and then select the FMOD project from File->Open Project.
                              You want to use the "copy" option for the project when asked about converting it.

                              This method worked for me and I have the example running (albiet it crashed the 1st time, just reloaded the project again and it worked)
                              I've no idea yet if the conversion process "breaks" anything, there weren't any errors & it seems to all be working as expected - I hear the vehicle & character audio.

                              There is a link on the FMOD site about older versions, but they're not clearly labelled as to which version of UE they are for - I'd assume 4.4. If you don't want to convert, etc you could try installing the older FMOD 4.4 version to UE 4.4.

                              Hope that's helpful

                              Cheers
                              William

                              PS: I can confirm the post above - there's no audio in the standalone game mode, nothing at all.
                              PPS: Vehicle audio now sounds awesome! :-)
                              PPPS: +1 for Github source access
                              PPPPS: Would be good to have the same tutorial in C++ format, ie no blueprints for the setup part
                              Last edited by William Docherty; 11-11-2014, 09:57 AM.


                              William Docherty
                              Founding Director
                              Ground Up Games Pty Ltd
                              www.groundupgames.com

                              Robot Tsunami - App Store (US)

                              Please support Robot Tsunami on Steam: Robot Tsunami - Steam

                              Comment

                              Working...
                              X